# People API

Provides access to information about profiles and contacts.

- [REST Resource: v1.contactGroups](https://developers.google.com/people/api/rest#v1.contactGroups)
- [REST Resource: v1.contactGroups.members](https://developers.google.com/people/api/rest#v1.contactGroups.members)
- [REST Resource: v1.otherContacts](https://developers.google.com/people/api/rest#v1.otherContacts)
- [REST Resource: v1.people](https://developers.google.com/people/api/rest#v1.people)
- [REST Resource: v1.people.connections](https://developers.google.com/people/api/rest#v1.people.connections)

## Service: people.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://people.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://people.googleapis.com`

## REST Resource: [v1.contactGroups](https://developers.google.com/people/api/rest/v1/contactGroups)

| Methods ||
|---|---|
| `https://developers.google.com/people/api/rest/v1/contactGroups/batchGet` | `GET /v1/contactGroups:batchGet` Get a list of contact groups owned by the authenticated user by specifying a list of contact group resource names. |
| `https://developers.google.com/people/api/rest/v1/contactGroups/create` | `POST /v1/contactGroups` Create a new contact group owned by the authenticated user. |
| `https://developers.google.com/people/api/rest/v1/contactGroups/delete` | `DELETE /v1/{resourceName=contactGroups/*}` Delete an existing contact group owned by the authenticated user by specifying a contact group resource name. |
| `https://developers.google.com/people/api/rest/v1/contactGroups/get` | `GET /v1/{resourceName=contactGroups/*}` Get a specific contact group owned by the authenticated user by specifying a contact group resource name. |
| `https://developers.google.com/people/api/rest/v1/contactGroups/list` | `GET /v1/contactGroups` List all contact groups owned by the authenticated user. |
| `https://developers.google.com/people/api/rest/v1/contactGroups/update` | `PUT /v1/{contactGroup.resourceName=contactGroups/*}` Update the name of an existing contact group owned by the authenticated user. |

## REST Resource: [v1.contactGroups.members](https://developers.google.com/people/api/rest/v1/contactGroups.members)

| Methods ||
|---|---|
| `https://developers.google.com/people/api/rest/v1/contactGroups.members/modify` | `POST /v1/{resourceName=contactGroups/*}/members:modify` Modify the members of a contact group owned by the authenticated user. |

## REST Resource: [v1.otherContacts](https://developers.google.com/people/api/rest/v1/otherContacts)

| Methods ||
|---|---|
| `https://developers.google.com/people/api/rest/v1/otherContacts/copyOtherContactToMyContactsGroup` | `POST /v1/{resourceName=otherContacts/*}:copyOtherContactToMyContactsGroup` Copies an "Other contact" to a new contact in the user's "myContacts" group Mutate requests for the same user should be sent sequentially to avoid increased latency and failures. |
| `https://developers.google.com/people/api/rest/v1/otherContacts/list` | `GET /v1/otherContacts` List all "Other contacts", that is contacts that are not in a contact group. |
| `https://developers.google.com/people/api/rest/v1/otherContacts/search` | `GET /v1/otherContacts:search` Provides a list of contacts in the authenticated user's other contacts that matches the search query. |

## REST Resource: [v1.people](https://developers.google.com/people/api/rest/v1/people)

| Methods ||
|---|---|
| `https://developers.google.com/people/api/rest/v1/people/batchCreateContacts` | `POST /v1/people:batchCreateContacts` Create a batch of new contacts and return the PersonResponses for the newly Mutate requests for the same user should be sent sequentially to avoid increased latency and failures. |
| `https://developers.google.com/people/api/rest/v1/people/batchDeleteContacts` | `POST /v1/people:batchDeleteContacts` Delete a batch of contacts. |
| `https://developers.google.com/people/api/rest/v1/people/batchUpdateContacts` | `POST /v1/people:batchUpdateContacts` Update a batch of contacts and return a map of resource names to PersonResponses for the updated contacts. |
| `https://developers.google.com/people/api/rest/v1/people/createContact` | `POST /v1/people:createContact` Create a new contact and return the person resource for that contact. |
| `https://developers.google.com/people/api/rest/v1/people/deleteContact` | `DELETE /v1/{resourceName=people/*}:deleteContact` Delete a contact person. |
| `https://developers.google.com/people/api/rest/v1/people/deleteContactPhoto` | `DELETE /v1/{resourceName=people/*}:deleteContactPhoto` Delete a contact's photo. |
| `https://developers.google.com/people/api/rest/v1/people/get` | `GET /v1/{resourceName=people/*}` Provides information about a person by specifying a resource name. |
| `https://developers.google.com/people/api/rest/v1/people/getBatchGet` | `GET /v1/people:batchGet` Provides information about a list of specific people by specifying a list of requested resource names. |
| `https://developers.google.com/people/api/rest/v1/people/listDirectoryPeople` | `GET /v1/people:listDirectoryPeople` Provides a list of domain profiles and domain contacts in the authenticated user's domain directory. |
| `https://developers.google.com/people/api/rest/v1/people/searchContacts` | `GET /v1/people:searchContacts` Provides a list of contacts in the authenticated user's grouped contacts that matches the search query. |
| `https://developers.google.com/people/api/rest/v1/people/searchDirectoryPeople` | `GET /v1/people:searchDirectoryPeople` Provides a list of domain profiles and domain contacts in the authenticated user's domain directory that match the search query. |
| `https://developers.google.com/people/api/rest/v1/people/updateContact` | `PATCH /v1/{person.resourceName=people/*}:updateContact` Update contact data for an existing contact person. |
| `https://developers.google.com/people/api/rest/v1/people/updateContactPhoto` | `PATCH /v1/{resourceName=people/*}:updateContactPhoto` Update a contact's photo. |

## REST Resource: [v1.people.connections](https://developers.google.com/people/api/rest/v1/people.connections)

| Methods ||
|---|---|
| `https://developers.google.com/people/api/rest/v1/people.connections/list` | `GET /v1/{resourceName=people/*}/connections` Provides a list of the authenticated user's contacts. |